# Enum Class ModuleTree.ModuleKind

java.lang.Object
java.lang.Enum<ModuleTree.ModuleKind>
com.sun.source.tree.ModuleTree.ModuleKind

All Implemented Interfaces:
  `Serializable`, `Comparable<ModuleTree.ModuleKind>`, `Constable`

Enclosing interface:
  `ModuleTree`

public static enum ModuleTree.ModuleKind extends Enum<ModuleTree.ModuleKind>
The kind of the module.

Since:
  9

## Nested Class Summary

### Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`OPEN`
Open module.
`STRONG`
Strong module.

## Method Summary

Modifier and Type
Method
Description
`static ModuleTree.ModuleKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ModuleTree.ModuleKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OPEN

public static final ModuleTree.ModuleKind OPEN
Open module.

### STRONG

public static final ModuleTree.ModuleKind STRONG
Strong module.

## Method Details

### values

public static ModuleTree.ModuleKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ModuleTree.ModuleKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null